package com.ruoyi.project.shiftmgr.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 轮班日志对象 t_shift_log
 *
 * @author ruoyi
 * @date 2023-08-17
 */
public class TShiftLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 倒班班组 */
    @Excel(name = "倒班班组")
    private String shiftTeam;

    /** 接班时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @Excel(name = "接班时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    private Date takeOverTime;

    /** 交班时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @Excel(name = "交班时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    private Date giveOverTime;

    /** 接班时工艺状况 */
    @Excel(name = "接班时工艺状况")
    private String tocp;

    /** 安全、环保、健康及5S事项班前简报 */
    @Excel(name = "安全、环保、健康及5S事项班前简报")
    private String ehs5sBriefing;

    /** C4分离和氧化吸收 */
    @Excel(name = "C4分离和氧化吸收")
    private String soa;

    /** 汽提和加氢 */
    @Excel(name = "汽提和加氢")
    private String sh;

    /** BDO环化 */
    @Excel(name = "BDO环化")
    private String bdoc;

    /** THF精馏 */
    @Excel(name = "THF精馏")
    private String thfd;

    /** PTHF单元 */
    @Excel(name = "PTHF单元")
    private String pthfUnit;

    /** DBP精馏 */
    @Excel(name = "DBP精馏")
    private String dbpd;

    /** TRU和蒸汽系统 */
    @Excel(name = "TRU和蒸汽系统")
    private String truss;

    /** PolyTHF Complex公用工程系统 */
    @Excel(name = "PolyTHF Complex公用工程系统")
    private String pthfCus;

    /** BIP公用工程系统 */
    @Excel(name = "BIP公用工程系统")
    private String bipus;

    /** 液化气和氢气 */
    @Excel(name = "液化气和氢气")
    private String lpgH2;

    /** TRU-CO */
    @Excel(name = "TRU-CO")
    private String q125601;

    /** TRU-非甲烷总烃 */
    @Excel(name = "TRU-非甲烷总烃")
    private String q125602;

    /** 厂界-THF */
    @Excel(name = "厂界-THF")
    private String q312018Q1;

    /** 厂界-MeOH */
    @Excel(name = "厂界-MeOH")
    private String q312018Q2;

    /** 厂界-MeAC */
    @Excel(name = "厂界-MeAC")
    private String q312018Q3;

    /** 厂界-Xylene */
    @Excel(name = "厂界-Xylene")
    private String q312018Q4;

    /** 雨水总管-TOC */
    @Excel(name = "雨水总管-TOC")
    private String q312000;

    /** 雨水总管-PH */
    @Excel(name = "雨水总管-PH")
    private String q312001;

    /** 异常状况描述 */
    @Excel(name = "异常状况描述")
    private String epdOther;

    /** 其他 */
    @Excel(name = "其他")
    private String ehsOther;

    /** 产品质量和分析报告 */
    @Excel(name = "产品质量和分析报告")
    private String qar;

    /** 电气及仪表 */
    @Excel(name = "电气及仪表")
    private String maEi;

    /** 机械 */
    @Excel(name = "机械")
    private String maMechanical;

    /** 第三方联系 */
    @Excel(name = "第三方联系")
    private String thirdPartyCommunication;

    /** 电气及仪表 */
    @Excel(name = "电气及仪表")
    private String fampEi;

    /** 机械 */
    @Excel(name = "机械")
    private String fampMechanical;

    /** 接班班组需继续的操作 */
    @Excel(name = "接班班组需继续的操作")
    private String faop;

    /** 评述 */
    @Excel(name = "评述")
    private String comments;

    /** 交班班组组长 */
    @Excel(name = "交班班组组长")
    private String hoShiftSup;

    /** 接班班组组长 */
    @Excel(name = "接班班组组长")
    private String toShiftSup;

    /** 删除标识 */
    private Integer delFlag;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setShiftTeam(String shiftTeam)
    {
        this.shiftTeam = shiftTeam;
    }

    public String getShiftTeam()
    {
        return shiftTeam;
    }
    public void setTakeOverTime(Date takeOverTime)
    {
        this.takeOverTime = takeOverTime;
    }

    public Date getTakeOverTime()
    {
        return takeOverTime;
    }

    public Date getGiveOverTime() {
        return giveOverTime;
    }

    public void setGiveOverTime(Date giveOverTime) {
        this.giveOverTime = giveOverTime;
    }

    public void setTocp(String tocp)
    {
        this.tocp = tocp;
    }

    public String getTocp()
    {
        return tocp;
    }
    public void setEhs5sBriefing(String ehs5sBriefing)
    {
        this.ehs5sBriefing = ehs5sBriefing;
    }

    public String getEhs5sBriefing()
    {
        return ehs5sBriefing;
    }
    public void setSoa(String soa)
    {
        this.soa = soa;
    }

    public String getSoa()
    {
        return soa;
    }
    public void setSh(String sh)
    {
        this.sh = sh;
    }

    public String getSh()
    {
        return sh;
    }
    public void setBdoc(String bdoc)
    {
        this.bdoc = bdoc;
    }

    public String getBdoc()
    {
        return bdoc;
    }
    public void setThfd(String thfd)
    {
        this.thfd = thfd;
    }

    public String getThfd()
    {
        return thfd;
    }
    public void setPthfUnit(String pthfUnit)
    {
        this.pthfUnit = pthfUnit;
    }

    public String getPthfUnit()
    {
        return pthfUnit;
    }
    public void setDbpd(String dbpd)
    {
        this.dbpd = dbpd;
    }

    public String getDbpd()
    {
        return dbpd;
    }
    public void setTruss(String truss)
    {
        this.truss = truss;
    }

    public String getTruss()
    {
        return truss;
    }
    public void setPthfCus(String pthfCus)
    {
        this.pthfCus = pthfCus;
    }

    public String getPthfCus()
    {
        return pthfCus;
    }
    public void setBipus(String bipus)
    {
        this.bipus = bipus;
    }

    public String getBipus()
    {
        return bipus;
    }
    public void setLpgH2(String lpgH2)
    {
        this.lpgH2 = lpgH2;
    }

    public String getLpgH2()
    {
        return lpgH2;
    }
    public void setQ125601(String q125601)
    {
        this.q125601 = q125601;
    }

    public String getQ125601()
    {
        return q125601;
    }
    public void setQ125602(String q125602)
    {
        this.q125602 = q125602;
    }

    public String getQ125602()
    {
        return q125602;
    }
    public void setQ312018Q1(String q312018Q1)
    {
        this.q312018Q1 = q312018Q1;
    }

    public String getQ312018Q1()
    {
        return q312018Q1;
    }
    public void setQ312018Q2(String q312018Q2)
    {
        this.q312018Q2 = q312018Q2;
    }

    public String getQ312018Q2()
    {
        return q312018Q2;
    }
    public void setQ312018Q3(String q312018Q3)
    {
        this.q312018Q3 = q312018Q3;
    }

    public String getQ312018Q3()
    {
        return q312018Q3;
    }
    public void setQ312018Q4(String q312018Q4)
    {
        this.q312018Q4 = q312018Q4;
    }

    public String getQ312018Q4()
    {
        return q312018Q4;
    }
    public void setQ312000(String q312000)
    {
        this.q312000 = q312000;
    }

    public String getQ312000()
    {
        return q312000;
    }
    public void setQ312001(String q312001)
    {
        this.q312001 = q312001;
    }

    public String getQ312001()
    {
        return q312001;
    }
    public void setEpdOther(String epdOther)
    {
        this.epdOther = epdOther;
    }

    public String getEpdOther()
    {
        return epdOther;
    }
    public void setEhsOther(String ehsOther)
    {
        this.ehsOther = ehsOther;
    }

    public String getEhsOther()
    {
        return ehsOther;
    }
    public void setQar(String qar)
    {
        this.qar = qar;
    }

    public String getQar()
    {
        return qar;
    }
    public void setMaEi(String maEi)
    {
        this.maEi = maEi;
    }

    public String getMaEi()
    {
        return maEi;
    }
    public void setMaMechanical(String maMechanical)
    {
        this.maMechanical = maMechanical;
    }

    public String getMaMechanical()
    {
        return maMechanical;
    }
    public void setThirdPartyCommunication(String thirdPartyCommunication)
    {
        this.thirdPartyCommunication = thirdPartyCommunication;
    }

    public String getThirdPartyCommunication()
    {
        return thirdPartyCommunication;
    }
    public void setFampEi(String fampEi)
    {
        this.fampEi = fampEi;
    }

    public String getFampEi()
    {
        return fampEi;
    }
    public void setFampMechanical(String fampMechanical)
    {
        this.fampMechanical = fampMechanical;
    }

    public String getFampMechanical()
    {
        return fampMechanical;
    }
    public void setFaop(String faop)
    {
        this.faop = faop;
    }

    public String getFaop()
    {
        return faop;
    }
    public void setComments(String comments)
    {
        this.comments = comments;
    }

    public String getComments()
    {
        return comments;
    }
    public void setHoShiftSup(String hoShiftSup)
    {
        this.hoShiftSup = hoShiftSup;
    }

    public String getHoShiftSup()
    {
        return hoShiftSup;
    }
    public void setToShiftSup(String toShiftSup)
    {
        this.toShiftSup = toShiftSup;
    }

    public String getToShiftSup()
    {
        return toShiftSup;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("shiftTeam", getShiftTeam())
            .append("takeOverTime", getTakeOverTime())
            .append("tocp", getTocp())
            .append("ehs5sBriefing", getEhs5sBriefing())
            .append("soa", getSoa())
            .append("sh", getSh())
            .append("bdoc", getBdoc())
            .append("thfd", getThfd())
            .append("pthfUnit", getPthfUnit())
            .append("dbpd", getDbpd())
            .append("truss", getTruss())
            .append("pthfCus", getPthfCus())
            .append("bipus", getBipus())
            .append("lpgH2", getLpgH2())
            .append("q125601", getQ125601())
            .append("q125602", getQ125602())
            .append("q312018Q1", getQ312018Q1())
            .append("q312018Q2", getQ312018Q2())
            .append("q312018Q3", getQ312018Q3())
            .append("q312018Q4", getQ312018Q4())
            .append("q312000", getQ312000())
            .append("q312001", getQ312001())
            .append("epdOther", getEpdOther())
            .append("ehsOther", getEhsOther())
            .append("qar", getQar())
            .append("maEi", getMaEi())
            .append("maMechanical", getMaMechanical())
            .append("thirdPartyCommunication", getThirdPartyCommunication())
            .append("fampEi", getFampEi())
            .append("fampMechanical", getFampMechanical())
            .append("faop", getFaop())
            .append("comments", getComments())
            .append("hoShiftSup", getHoShiftSup())
            .append("toShiftSup", getToShiftSup())
            .append("delFlag", getDelFlag())
            .append("status", getStatus())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
